| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
PoolDbTokenWrap Class Reference

Description: More...

`#include <RootCnv/PoolClasses.h>`

Collaboration diagram for PoolDbTokenWrap:
[legend]

## Public Member Functions
| PoolDbTokenWrap ()=default
| Standard constructor. More...
| PoolDbTokenWrap (const PoolDbTokenWrap &wrp)
| Copy constructor. More...
virtual | ~PoolDbTokenWrap ()=default
| Standard destructor. More...
bool | operator== (const PoolDbTokenWrap &c) const
| Equality operator. More...
PoolDbTokenWrap & | operator= (const PoolDbTokenWrap &wrp)
| Assignment operator. More...

## Public Attributes
pool::Token | token
| Aggregated token object. More...

## Detailed Description

Description:

Author
  M.Frank

Version
  1.0

Definition at line 67 of file PoolClasses.h.

## Constructor & Destructor Documentation

## ◆ PoolDbTokenWrap() [1/2]

PoolDbTokenWrap::PoolDbTokenWrap | ( |  | ) |
| default

Standard constructor.

## ◆ PoolDbTokenWrap() [2/2]

PoolDbTokenWrap::PoolDbTokenWrap | ( | const PoolDbTokenWrap & | wrp | ) |
| inline

Copy constructor.

Definition at line 74 of file PoolClasses.h.

74 { token = wrp.token; }
PoolDbTokenWrap::token
pool::Token token
Aggregated token object.
Definition: PoolClasses.h:70

## ◆ ~PoolDbTokenWrap()

virtual PoolDbTokenWrap::~PoolDbTokenWrap | ( |  | ) |
| virtual default

Standard destructor.

## Member Function Documentation

## ◆ operator=()

PoolDbTokenWrap& PoolDbTokenWrap::operator= | ( | const PoolDbTokenWrap & | wrp | ) |
| inline

Assignment operator.

Definition at line 80 of file PoolClasses.h.

80 {
81 if ( this != &wrp ) token = wrp.token;
82 return *this;
83 }
PoolDbTokenWrap::token
pool::Token token
Aggregated token object.
Definition: PoolClasses.h:70

## ◆ operator==()

bool PoolDbTokenWrap::operator== | ( | const PoolDbTokenWrap & | c | ) | const
| inline

Equality operator.

Definition at line 78 of file PoolClasses.h.

78 { return token == c.token; }
gaudirun.c
c
Definition: gaudirun.py:487
PoolDbTokenWrap::token
pool::Token token
Aggregated token object.
Definition: PoolClasses.h:70

## Member Data Documentation

## ◆ token

pool::Token PoolDbTokenWrap::token

Aggregated token object.

Definition at line 70 of file PoolClasses.h.

The documentation for this class was generated from the following file:

- RootCnv/RootCnv/PoolClasses.h